flink-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Tzu-Li (Gordon) Tai" <tzuli...@apache.org>
Subject Re: Flink dependencies shading
Date Fri, 24 Feb 2017 15:53:34 GMT
Hi Dmitry!

I know its been a while since this was reported, but I was recently looking at this issue
and it seems like flink-mesos actually doesn’t contain the httpclient dependency, so that
shouldn’t be the problem.

Could it be that you’ve built Flink incorrectly?
Note the info about the Maven versions in the Building Flink from Source docs: https://ci.apache.org/projects/flink/flink-docs-release-1.3/setup/building.html#dependency-shading.
If you’re using Maven version 3.3.x+ to build Flink, you’ll need to first build in the
base directory, and then in `flink-dist` again for the dependencies to be shaded properly.

- Gordon


On January 27, 2017 at 12:24:35 AM, Dmitry Golubets (dgolubets@gmail.com) wrote:

Hi Robert,

I ended up overriding Flink httpclient version number in main pom file and recompiling it.

Thanks


Best regards,
Dmitry

On Thu, Jan 26, 2017 at 4:12 PM, Robert Metzger <rmetzger@apache.org> wrote:
Hi Dmitry,

I think this issue is new. 
Where is the AWS SDK dependency coming from? Maybe you can resolve the issue on your side
for now.
I've filed a JIRA for this issue: https://issues.apache.org/jira/browse/FLINK-5661



On Wed, Jan 25, 2017 at 8:24 PM, Dmitry Golubets <dgolubets@gmail.com> wrote:
I've build latest Flink from sources and it seems that httpclient dependency from flink-mesos
is not shaded. It causes troubles with latest AWS SDK.
Do I build it wrong or is it a known problem?

Best regards,
Dmitry



Mime
View raw message